<div infiniteScroll [infiniteScrollDistance]="0.2" [infiniteScrollThrottle]="300" (scrolled)="onScroll()">
  <div class="profile-view">
    <div class="top">
      <div class="right mx-auto">
        <div class="name"># {{ hashtag$ | async }}</div>
        <div class="email">{{ postsCount$ | async }} {{ (postsCount$ | async) === 1 ? 'post' : 'posts' }}</div>
        <button *ngIf="hashtag_id$ | async as id" (click)="onFollowHashtag(id)" class="primary button mt2 mb-5">
          {{ (is_following$ | async) == 0 ? 'Follow' : 'Unfollow' }}
        </button>
      </div>
    </div>
  </div>

  <div class="posts-collection mt3">
    <div class="item" *ngFor="let content of posts$ | async">
      <img
        *ngIf="content.contents[0].type !== 'video'"
        [src]="getImageUrl(content.contents[0].content)"
        class="avatar"
        [routerLink]="['/post/', content.id]"
      />
      <div class="video-overlay" *ngIf="content.contents[0].type === 'video'" [routerLink]="['/post/', content.id]">
        <video>
          <source [src]="getImageUrl(content.contents[0].content)" />
        </video>
      </div>
    </div>
  </div>
</div>
